package fr.inria.gforge.dspace.overlay.benchmarks.analyzer;

import javax.swing.SwingUtilities;
import javax.swing.UIManager;
import javax.swing.UIManager.LookAndFeelInfo;
import javax.swing.UnsupportedLookAndFeelException;

import fr.inria.gforge.dspace.overlay.benchmarks.analyzer.gui.FilesToAnalyzeChooser;

/**
 * @author Laurent Pellegrino
 *
 * @version $Id: Launcher.java 5038 2010-08-19 09:09:50Z plaurent $
 */
public class Launcher {

	public static void main(final String[] args) {
		try {
			for (LookAndFeelInfo info : UIManager.getInstalledLookAndFeels()) {
				if ("Nimbus".equals(info.getName())) {
					UIManager.setLookAndFeel(info.getClassName());
					break;
				}
			}
		} catch (UnsupportedLookAndFeelException e) {
			e.printStackTrace();
		} catch (ClassNotFoundException e) {
			e.printStackTrace();
		} catch (InstantiationException e) {
			e.printStackTrace();
		} catch (IllegalAccessException e) {
			e.printStackTrace();
		}

		// Schedule a job for the event dispatch thread:
		// creating and showing this application's GUI.
		SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				new FilesToAnalyzeChooser(args).createAndShowGUI();
			}
		});
	}
	
}
