package fr.inria.gforge.dspace.overlay.benchmarks.measurement;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.IOException;
import java.io.StringReader;
import java.util.ArrayList;
import java.util.List;

/**
 * 
 * @author Laurent Pellegrino
 * 
 * @version $Id: PeersMeasurementResults.java 5038 2010-08-19 09:09:50Z plaurent $
 */
public class PeersMeasurementResults extends AbstractMeasurementResults {

	private List<PeerMeasurementResults> measurementsResults = new ArrayList<PeerMeasurementResults>();

    public PeersMeasurementResults() {
    	super();
    }
    
    public PeersMeasurementResults(String associatedTaskSimpleName) {
    	super(associatedTaskSimpleName);
    }

	public List<PeerMeasurementResults> getMeasurementsResults() {
		return this.measurementsResults;
	}

	protected void write(BufferedWriter writer) throws IOException {
		for (PeerMeasurementResults result : this.measurementsResults) {
			result.write(writer);
		}
	}

	protected void read(BufferedReader reader) throws IOException {
		String line;
		this.measurementsResults = new ArrayList<PeerMeasurementResults>();
		PeerMeasurementResults result;
		
		while (!(line = reader.readLine()).equals("")) {
			result = new PeerMeasurementResults();
			result.read(new BufferedReader(new StringReader(line)));
			this.measurementsResults.add(result);
		}
	}
    
}
