package fr.inria.gforge.dspace.overlay.api.messages.query;

import org.ontoware.rdf2go.model.node.URI;

import fr.inria.gforge.dspace.overlay.messages.query.can.SemanticQueryMessage;
import fr.inria.gforge.dspace.overlay.messages.response.can.SelectResponseMessage;
import fr.inria.gforge.dspace.overlay.messages.response.can.SemanticResponseMessage;

/**
 * @author Laurent Pellegrino
 * 
 * @version $Id: SelectQuery.java 5038 2010-08-19 09:09:50Z plaurent $
 */
public class SelectQuery extends SPARQLQuery {

    private static final long serialVersionUID = 1L;

    public SelectQuery(URI spaceURI, String queryAsString) {
        super(spaceURI, queryAsString);
    }

    public SemanticResponseMessage<?> createResponseMessage(SemanticQueryMessage query) {
        return new SelectResponseMessage(query, query.getKeyToReach());
    }

}
