package fr.inria.gforge.dspace.overlay.api.messages.response;

import fr.inria.gforge.dspace.overlay.api.messages.query.AskQuery;
import fr.inria.gforge.dspace.overlay.messages.response.can.AskResponseMessage;

/**
 * Associated response for {@link AskQuery}.
 * 
 * @author Laurent Pellegrino
 * 
 * @version $Id: AskResponse.java 5038 2010-08-19 09:09:50Z plaurent $
 */
public class AskResponse extends SPARQLResponse<Boolean> {

    private static final long serialVersionUID = 1L;

    public AskResponse(AskResponseMessage response) {
        super.result = response.mergeAndGetDataRetrieved();
    }

}
