package fr.inria.gforge.dspace.overlay.datastore;

import org.ontoware.rdf2go.model.ModelSet;
import org.openrdf.rdf2go.RepositoryModelSet;
import org.openrdf.repository.Repository;
import org.openrdf.repository.RepositoryException;
import org.openrdf.repository.sail.SailRepository;
import org.openrdf.sail.memory.MemoryStore;

/**
 * 
 * @author Laurent Pellegrino
 * 
 * @version $Id: SesameModelFactory.java 5038 2010-08-19 09:09:50Z plaurent $
 */
public class SesameModelFactory {

    public static ModelSet createModelSet() {
	MemoryStore store = new MemoryStore();
	store.setPersist(false);
	final Repository spacesRepository = new SailRepository(store);
	try {
	    spacesRepository.initialize();
	} catch (RepositoryException e) {
	    e.printStackTrace();
	}

	return new RepositoryModelSet(spacesRepository);
    }
    
}