package fr.inria.gforge.dspace.overlay.deployment;

/**
 * Enumeration used to retrieve nodes acquired by key.
 * 
 * @author Laurent Pellegrino
 * 
 * @version $Id: NodeProviderKey.java 5038 2010-08-19 09:09:50Z plaurent $
 */
public enum NodeProviderKey {

    NODE_PROVIDER((byte) 0),
    TRACKERS((byte) 1),
    PEERS_CAN((byte) 2),
    PEERS_CHORD((byte) 3);

    private byte code;

    private NodeProviderKey(byte code) {
        this.code = code;
    }

    public int getCode() {
        return this.code;
    }

}
