package fr.inria.gforge.dspace.overlay.messages.response.chord;

import org.objectweb.proactive.extensions.structuredp2p.messages.query.chord.FingerQueryMessage;
import org.objectweb.proactive.extensions.structuredp2p.messages.response.chord.FingerResponseMessage;
import org.objectweb.proactive.extensions.structuredp2p.overlay.chord.Key;

/**
 * @author Laurent Pellegrino
 * 
 * @version $Id: SpaceExistsResponseMessage.java 5038 2010-08-19 09:09:50Z plaurent $
 */
@SuppressWarnings("serial")
public class SpaceExistsResponseMessage extends FingerResponseMessage {

    private boolean spaceExists;

    public SpaceExistsResponseMessage(FingerQueryMessage query, Key keyToReach,
            boolean spaceExists) {
        super(query, keyToReach);
        this.spaceExists = spaceExists;
    }

    public boolean getValue() {
        return this.spaceExists;
    }

}
