package fr.inria.gforge.dspace.overlay.overlay.can;

import org.objectweb.proactive.extensions.structuredp2p.overlay.can.coordinates.LexicographicCoordinateValue;
import org.ontoware.rdf2go.model.node.Node;
import org.ontoware.rdf2go.model.node.Resource;

import fr.inria.gforge.dspace.overlay.util.SemanticHelper;

/**
 * 
 * @author Laurent Pellegrino
 * 
 * @version $Id: SemanticCoordinateValue.java 5038 2010-08-19 09:09:50Z plaurent $
 */
public class SemanticCoordinateValue extends LexicographicCoordinateValue {

	private static final long serialVersionUID = 1L;

	public SemanticCoordinateValue(String value) {
		super(SemanticHelper.parseTripleForLoadBalancing(value));
	}
	
	public SemanticCoordinateValue(Resource value) {
		this(value.toString());
	}
	
	public SemanticCoordinateValue(Node value) {
		this(value.toString());
	}
	
}
