package fr.inria.gforge.dspace.overlay.initializer;

import org.ontoware.rdf2go.model.node.URI;

/**
 * Contains common information for network initializers for tests.
 * 
 * @author Laurent Pellegrino
 *
 * @version $Id: TestsInitializer.java 5038 2010-08-19 09:09:50Z plaurent $
 */
public abstract class TestsInitializer {
    
    private URI defaultSpaceURI;

    public TestsInitializer(URI defaultSpaceURI) {
        super();
        this.defaultSpaceURI = defaultSpaceURI;
    }

    public URI getDefaultSpaceURI() {
        return this.defaultSpaceURI;
    }
    
    public abstract void tearDownNetwork();
    
}
