package fr.inria.gforge.dspace.overlay.performance;

import fr.inria.gforge.dspace.overlay.benchmarks.space.SpaceNetworkBenchmarksSingleMachine;



/**
 * @author Laurent Pellegrino
 * 
 * @version $Id: AbstractSpaceNetworkPerformanceTester.java 5038 2010-08-19 09:09:50Z plaurent $
 */
public abstract class AbstractSpaceNetworkPerformanceTester extends SpaceNetworkBenchmarksSingleMachine {

    public AbstractSpaceNetworkPerformanceTester(int nbPeers, int nbStatementsToAdd) {
        super(nbPeers, nbStatementsToAdd);
    }

    public void exportResults(String fileName) {
        this.reportToHudson();
    }

    public void reportToHudson() {
    	// TODO fix it
//        for (AbstractMeasurementResults result : super.getMeasurementResults()) {
//            HudsonReport.reportToHudson(this.getClass().getSimpleName() + "_"
//                    + result.getMethodName(), result.getExecutionTime());
//        }
//
//        MethodExecutedDescriptor addStatementsResult = super.getBenchmarkResults().get(1);
//        HudsonReport.reportToHudson(this.getClass().getSimpleName() 
//                + "_" + addStatementsResult.getMethodName() + "_numberPerSecond", 
//                (1000 * super.getNbStatementsToAdd()) / addStatementsResult.getExecutionTime());
//
//        MethodExecutedDescriptor queryAllResult = super.getBenchmarkResults().get(2);
//        HudsonReport.reportToHudson(this.getClass().getSimpleName() 
//                + "_" + queryAllResult.getMethodName() + "_numberPerSecond", 
//                (1000 * super.getNbStatementsToAdd()) / queryAllResult.getExecutionTime());
    }

    public void testPerformance() {
        super.run(false);
        this.exportResults(this.getClass().getSimpleName());
    }
    
}
