package org.objectweb.proactive.extensions.structuredp2p.messages.response.can;

import org.objectweb.proactive.extensions.structuredp2p.messages.query.can.LookupQueryMessage;
import org.objectweb.proactive.extensions.structuredp2p.overlay.Peer;

/**
 * Response associated to {@link LookupQueryMessage}.
 * 
 * @author Laurent Pellegrino
 * 
 * @version $Id: LookupResponseMessage.java 5022 2010-08-14 16:14:45Z plaurent $
 */
public class LookupResponseMessage extends ForwardResponseMessage {

    private static final long serialVersionUID = 1L;
    
    private Peer peerFound;

    public LookupResponseMessage(LookupQueryMessage query, Peer peerFound) {
        super(query);
        this.peerFound = peerFound;
    }

    public Peer getPeerFound() {
        return this.peerFound;
    }
    
}
