package org.objectweb.proactive.extensions.structuredp2p.operations;

import org.objectweb.proactive.extensions.structuredp2p.overlay.StructuredOverlay;

/**
 * Allows to test whether a peer is alive or not.
 * 
 * @author Laurent Pellegrino
 * 
 * @version $Id: IsAliveOperation.java 5022 2010-08-14 16:14:45Z plaurent $
 */
public class IsAliveOperation implements Operation {

    private static final long serialVersionUID = 1L;

    /**
     * Handles a message by double dispatch.
     * 
     * @param overlay
     *            the overlay used to handle the message.
     */
    public BooleanResponseOperation handle(StructuredOverlay overlay) {
        return new BooleanResponseOperation(true);
    }
    
}
