package org.objectweb.proactive.extensions.structuredp2p.operations.chord;

import org.objectweb.proactive.extensions.structuredp2p.operations.ResponseOperation;
import org.objectweb.proactive.extensions.structuredp2p.overlay.Peer;

/**
 * Response associated to {@link FindSuccessorOperation}
 * 
 * @author Laurent Pellegrino
 * 
 * @version $Id: FindSuccessorResponseOperation.java 5022 2010-08-14 16:14:45Z plaurent $
 */
public class FindSuccessorResponseOperation implements ResponseOperation {

    private static final long serialVersionUID = 1L;
    
    private Peer peer;

    public FindSuccessorResponseOperation(Peer peer) {
        this.peer = peer;
    }

    public Peer getSuccessor() {
        return peer;
    }

}
