package org.objectweb.proactive.extensions.structuredp2p.operations.chord;

import org.objectweb.proactive.extensions.structuredp2p.operations.ResponseOperation;
import org.objectweb.proactive.extensions.structuredp2p.overlay.Peer;

/**
 * Response associated to {@link GetSuccessorOperation}.
 * 
 * @author Laurent Pellegrino
 * 
 * @version $Id: GetSuccessorResponseOperation.java 5022 2010-08-14 16:14:45Z plaurent $
 */
public class GetSuccessorResponseOperation implements ResponseOperation {

    private static final long serialVersionUID = 1L;
    
    private Peer successor;

    public GetSuccessorResponseOperation(Peer successor) {
        this.successor = successor;
    }

    public Peer getSuccessor() {
        return this.successor;
    }

}
