package org.objectweb.proactive.extensions.structuredp2p.operations.chord;

import org.objectweb.proactive.extensions.structuredp2p.operations.ResponseOperation;
import org.objectweb.proactive.extensions.structuredp2p.overlay.Peer;

/**
 * Response associated to {@link GetSuccessorsFTOperation}.
 * 
 * @author Laurent Pellegrino
 * 
 * @version $Id: GetSuccessorsFTResponseOperation.java 3154 2010-01-16 12:37:42Z
 *          laurentp $
 */
public class GetSuccessorsFTResponseOperation implements ResponseOperation {

    private static final long serialVersionUID = 1L;
    
    private Peer[] successors;

    public GetSuccessorsFTResponseOperation(Peer[] successors) {
        this.successors = successors;
    }

    public Peer[] getSuccessors() {
        return this.successors;
    }

}
