package org.objectweb.proactive.extensions.structuredp2p.requests;

import org.objectweb.proactive.core.ProActiveRuntimeException;

/**
 * 
 * @author Laurent Pellegrino
 * 
 * @version $Id: BlockingRequestReceiverException.java 5022 2010-08-14 16:14:45Z plaurent $
 */
@SuppressWarnings("serial")
public class BlockingRequestReceiverException extends ProActiveRuntimeException {

    public BlockingRequestReceiverException() {
        super();
    }

    public BlockingRequestReceiverException(String objectName) {
        super(objectName + " cannot receive request any more.");
    }
}
