package org.objectweb.proactive.extensions.structuredp2p.requests;

import java.io.Serializable;

import org.objectweb.proactive.core.body.request.RequestReceiver;
import org.objectweb.proactive.core.body.request.RequestReceiverFactory;

/**
 * 
 * @author Laurent Pellegrino
 * 
 * @version $Id: BlockingRequestReceiverFactory.java 5022 2010-08-14 16:14:45Z plaurent $
 */
@SuppressWarnings("serial")
public class BlockingRequestReceiverFactory implements RequestReceiverFactory, Serializable {

    public BlockingRequestReceiverFactory() {

    }

    /**
     * {@inheritDoc}
     */
    public RequestReceiver newRequestReceiver() {
        return new BlockingRequestReceiver();
    }

}
