package org.objectweb.proactive.extensions.structuredp2p.requests;

import org.objectweb.proactive.core.body.ProActiveMetaObjectFactory;
import org.objectweb.proactive.core.body.request.RequestReceiverFactory;

/**
 * 
 * @author Laurent Pellegrino
 * 
 * @version $Id: StructuredMetaObjectFactory.java 5022 2010-08-14 16:14:45Z plaurent $
 */
@SuppressWarnings("serial")
public class StructuredMetaObjectFactory extends ProActiveMetaObjectFactory {
    protected RequestReceiverFactory blockingRequestReceiverFactoryInstance;

    public StructuredMetaObjectFactory() {
        super();
        this.blockingRequestReceiverFactoryInstance = this
                .newBlockingRequestReceiverFactorySingleton();
    }

    protected RequestReceiverFactory newBlockingRequestReceiverFactorySingleton() {
        return new BlockingRequestReceiverFactory();
    }

    public RequestReceiverFactory newRequestReceiverFactory() {
        return this.blockingRequestReceiverFactoryInstance;
    }

}
