package org.objectweb.proactive.extensions.structuredp2p.messages.chord;

import org.objectweb.proactive.extensions.structuredp2p.messages.response.chord.FingerResponseMessage;
import org.objectweb.proactive.extensions.structuredp2p.overlay.chord.Key;

/**
 * @author Laurent Pellegrino
 * 
 * @version $Id: MyFingerResponseMessage.java 5022 2010-08-14 16:14:45Z plaurent $
 */
public class MyFingerResponseMessage extends FingerResponseMessage {

    private static final long serialVersionUID = 1L;

    private boolean destinationReached = false;

    public MyFingerResponseMessage(MyFingerQueryMessage query, Key keyToReach) {
	super(query, keyToReach);
	this.destinationReached = query.isDestinationReached();
    }

    public boolean isDestinationReached() {
	return this.destinationReached;
    }
    
}