package com.ontotext.trree.rdf2go.api;

import org.ontoware.rdf2go.model.Model;
import org.ontoware.rdf2go.model.node.URI;

/**
 * interface for a model which allows subscription.
 */

public interface SubscribableModel extends Model {
	public URI subscribe(String query, final Subscriber subscriber);
	public void unsubscribe(URI subscriberURI);
}
