package fr.inria.gforge.dspace.overlay.benchmarks.analyzer.gui.charts;

import org.jfree.chart.ChartPanel;

import fr.inria.gforge.dspace.overlay.benchmarks.analyzer.parser.BenchmarkBean;

/**
 * @author Laurent Pellegrino
 * 
 * @version $Id: AbstractChart.java 5038 2010-08-19 09:09:50Z plaurent $
 */
public abstract class AbstractChart {

	private static final long serialVersionUID = 1L;

	protected BenchmarkBean bean;

	public AbstractChart(BenchmarkBean bean) {
		this.bean = bean;
	}

	protected abstract ChartPanel create();

	public BenchmarkBean getBean() {
		return this.bean;
	}

}
