package fr.inria.gforge.dspace.overlay.benchmarks.analyzer.gui.dialogs;

import java.util.List;

import fr.inria.gforge.dspace.overlay.benchmarks.analyzer.gui.charts.OperationsTimeComparaisonChart;
import fr.inria.gforge.dspace.overlay.benchmarks.analyzer.parser.BenchmarkBean;

/**
 * @author Laurent Pellegrino
 * 
 * @version $Id
 */
public class OperationsTimeComparaisonDialog extends AbstractChartDialog {

	private static final long serialVersionUID = 1L;
	
	private List<BenchmarkBean> beans;
	
	public OperationsTimeComparaisonDialog(List<BenchmarkBean> beans) {
		super(beans.get(0));
		this.beans = beans;
	}

	public void create() {
		super.setTitle("Operations time comparaison");
		super.add(new OperationsTimeComparaisonChart(this.beans).create());
		super.pack();
		super.setMinimumSize(super.getPreferredSize());
		super.setLocationByPlatform(true);
	}

}
