package fr.inria.gforge.dspace.overlay.benchmarks.analyzer.gui.dialogs;

import fr.inria.gforge.dspace.overlay.benchmarks.analyzer.gui.charts.StatementsDistributionChart;
import fr.inria.gforge.dspace.overlay.benchmarks.analyzer.parser.BenchmarkBean;

/**
 * @author Laurent Pellegrino
 * 
 * @version $Id
 */
public class StatementsDistributionDialog extends AbstractChartDialog {

	private static final long serialVersionUID = 1L;

	public StatementsDistributionDialog(BenchmarkBean bean) {
		super(bean);
	}

	public void create() {
		StringBuffer title = new StringBuffer();
		title.append("Statements distribution with ");
		title.append(super.bean.getNbPeers());
		title.append(" peer(s) and ");
		title.append(super.bean.getAddRandomStatementsMeasurementResults().
						getMeasurementsResults().size());
		title.append(" statement(s)");
		
		super.setTitle(title.toString());
		super.add(new StatementsDistributionChart(super.bean).create());
		super.pack();
		super.setMinimumSize(super.getPreferredSize());
		super.setLocationByPlatform(true);
	}

}
