package fr.inria.gforge.dspace.overlay.exceptions;

import org.objectweb.proactive.core.mop.StubObject;

import at.sti2.semanticspaces.api.exceptions.SemanticSpaceException;

/**
 * An exception thrown if an object which is not an active object is casted into
 * {@link StubObject}.
 * 
 * @author Laurent Pellegrino
 * 
 * @version $Id: NotActiveObjectException.java 5038 2010-08-19 09:09:50Z plaurent $
 */
public class NotActiveObjectException extends SemanticSpaceException {

    private static final long serialVersionUID = 1L;

    /**
     * Constructs a <code>NotActiveObjectException</code> with no specified
     * detail message.
     */
    public NotActiveObjectException() {
        super();
    }

}
