package fr.inria.gforge.dspace.overlay.kernel.operations.datastore;

import java.io.Serializable;

import org.ontoware.rdf2go.model.node.URI;

import at.sti2.semanticspaces.api.exceptions.SemanticSpaceException;
import fr.inria.gforge.dspace.overlay.datastore.SemanticDataStore;

/**
 * 
 * @author Laurent Pellegrino
 * 
 * @version $Id: AbstractDatastoreOperation.java 3622 2010-03-12 09:15:46Z
 *          laurentp $
 */
public abstract class AbstractDatastoreOperation implements Serializable {

	private static final long serialVersionUID = 1L;
	
	protected URI spaceURI;

    public AbstractDatastoreOperation(URI spaceURI) {
        this.spaceURI = spaceURI;
    }

    public abstract DatastoreResponseOperation<?> handle(SemanticDataStore dataStore)
            throws SemanticSpaceException;

}
