package fr.inria.gforge.dspace.overlay.operations.can;

import org.objectweb.proactive.extensions.structuredp2p.operations.ResponseOperation;

import fr.inria.gforge.dspace.overlay.kernel.SemanticSpaceOverlayKernel;

/**
 * @author Laurent Pellegrino
 * 
 * @version $Id: GetOverlayKernelResponseOperation.java 5038 2010-08-19 09:09:50Z plaurent $
 */
@SuppressWarnings("serial")
public class GetOverlayKernelResponseOperation implements ResponseOperation {

    private SemanticSpaceOverlayKernel stub;

    public GetOverlayKernelResponseOperation(SemanticSpaceOverlayKernel kernel) {
        this.stub = kernel;
    }

    public SemanticSpaceOverlayKernel getSemanticSpaceOverlayKernel() {
        return this.stub;
    }

}
