package fr.inria.gforge.dspace.overlay.operations.can;

import org.objectweb.proactive.extensions.structuredp2p.operations.ResponseOperation;
import org.objectweb.proactive.extensions.structuredp2p.overlay.can.Zone;

/**
 * @author Laurent Pellegrino
 * 
 * @version $Id: GetZoneInfoResponseOperation.java 5038 2010-08-19 09:09:50Z plaurent $
 */
@SuppressWarnings("serial")
public class GetZoneInfoResponseOperation implements ResponseOperation {

    private Zone zone;

    private boolean hasMetSynchronousMessage = false;

    public GetZoneInfoResponseOperation(Zone zone, boolean hasMet) {
        this.zone = zone;
        this.hasMetSynchronousMessage = hasMet;
    }

    public Zone getZone() {
        return this.zone;
    }

    public boolean hasMetSynchronousMessage() {
        return this.hasMetSynchronousMessage;
    }

}
