package fr.inria.gforge.dspace.overlay.overlay;

import org.objectweb.proactive.extensions.structuredp2p.overlay.StructuredOverlay;

import fr.inria.gforge.dspace.overlay.api.SemanticSpaceOperations;
import fr.inria.gforge.dspace.overlay.overlay.can.SemanticSpaceCANOverlay;
import fr.inria.gforge.dspace.overlay.overlay.chord.SemanticSpaceChordOverlay;

/**
 * SemanticStructuredOverlay is used in order to have a super type for
 * delegating several operations which are specific to SemanticSpace from a
 * {@link SemanticPeer} to a concrete implementation of a {@link StructuredOverlay} like
 * {@link SemanticSpaceCANOverlay} or {@link SemanticSpaceChordOverlay}.
 * 
 * @author Laurent Pellegrino
 * 
 * @version $Id: SemanticStructuredOverlay.java 5038 2010-08-19 09:09:50Z plaurent $
 */
public interface SemanticStructuredOverlay extends SemanticSpaceOperations {

}
