package fr.inria.gforge.dspace.overlay.rdf2go.wrappers;

import java.io.Serializable;

/**
 * Defines RDF2Go wrapper interface for object that must be serializable.
 * 
 * @author Laurent Pellegrino
 * 
 * @version $Id: RDF2GoWrapper.java 5038 2010-08-19 09:09:50Z plaurent $
 */
public interface RDF2GoWrapper<T> extends Serializable {

    public abstract T toRDF2Go();

}
