package fr.inria.gforge.dspace.overlay.samples.commands;

/**
 * @author Laurent Pellegrino
 * 
 * @version $Id: Argument.java 5038 2010-08-19 09:09:50Z plaurent $
 */
public class Argument {

    private String name;

    private boolean optional;

    public Argument(String name) {
        this.name = name;
    }

    public Argument(String name, boolean optional) {
        this(name);
        this.optional = optional;
    }

    public String getName() {
        return this.name;
    }

    public boolean isOptional() {
        return this.optional;
    }
    
    public String toString() {
        return this.name;
    }

}
