#!/bin/sh
. $(dirname $0)/configuration/set-environment.sh

#-Dproactive.http.port=8089 -Dproactive.net.noprivate=true -Dproactive.communication.protocol=http \

if [ -z $DSPACE_OVERLAY_BENCHMARKS_THREADS ];
then
    export DSPACE_OVERLAY_BENCHMARKS_THREADS=32;
fi;

java -Xms4096m -Xmx4096m \
     -Ddspace.bundle.home=$DSPACE_BUNDLE_HOME \
     -Ddspace.configuration=$PATH_TO_RESOURCES/space.properties \
     -Ddspace.overlay.benchmarks.threads=$DSPACE_OVERLAY_BENCHMARKS_THREADS \
     -Djava.security.policy=$PATH_TO_RESOURCES/proactive.security.policy \
     -Dlog4j.configuration=file:$PATH_TO_RESOURCES/log4j \
     -Dproactive.http.jetty.xml=$PATH_TO_RESOURCES/jetty.xml \
     -cp $CLASSPATH fr.inria.gforge.dspace.overlay.benchmarks.BenchmarkLauncher $@

. $(dirname $0)/configuration/unset-environment.sh
