#!/bin/sh
. $(dirname $0)/configuration/set-environment.sh

echo "--> Start a new spaces deployment instance"

java \
	 -Ddeployment.home=$SOA4ALL_SPACE_BUNDLE_HOME \
	 -Djava.security.policy=$WORKING_DIR/resources/proactive.security.policy \
	 -Dlog4j.configuration=$WORKING_DIR/resources/log4j \
	 -cp $CLASSPATH fr.inria.gforge.dspace.overlay.samples.launchers.DeploymentLauncher \
	 $PATH_TO_DEPLOYMENT/GCMA.xml

. $(dirname $0)/configuration/unset-environment.sh