#!/bin/sh
. $(dirname $0)/configuration/set-environment.sh

echo "--> Starting a new operations connector instance"

#-Dproactive.http.port=8089 -Dproactive.net.noprivate=true -Dproactive.communication.protocol=http \

java -Xms512m -Xmx512m \
	 -Djava.security.policy=$PATH_TO_RESOURCES/proactive.security.policy \
	 -Dlog4j.configuration=$PATH_TO_RESOURCES/log4j \
	 -Dproactive.rmi.port=5525 \
	 -cp $CLASSPATH fr.inria.gforge.dspace.overlay.samples.launchers.ConnectorLauncher operations $1

. $(dirname $0)/configuration/unset-environment.sh
