#!/bin/sh
. $(dirname $0)/configuration/set-environment.sh

echo "--> Starting a new tracker instance"

#-Dproactive.communication.protocol=http -Dproactive.http.port=8089 -Dproactive.net.noprivate=true \

java -Dproactive.http.jetty.xml=$PATH_TO_RESOURCES/jetty.xml \
	 -Dlog4j.configuration=file:$PATH_TO_RESOURCES/log4j \
	 -Djava.security.policy=$PATH_TO_RESOURCES/proactive.security.policy \
	 -Dproactive.configuration=file:$PATH_TO_RESOURCES/log4j \
	 -Dproactive.rmi.port=5525 \
	 -cp $CLASSPATH fr.inria.gforge.dspace.overlay.samples.launchers.TrackerLauncher $@

. $(dirname $0)/configuration/unset-environment.sh
