package org.objectweb.proactive.extensions.structuredp2p.messages.response.chord;

import org.objectweb.proactive.extensions.structuredp2p.messages.query.chord.PeerExistsQueryMessage;
import org.objectweb.proactive.extensions.structuredp2p.overlay.chord.Key;

/**
 * @author Laurent Pellegrino
 * 
 * @version $Id: PeerExistsResponseMessage.java 5022 2010-08-14 16:14:45Z plaurent $
 */
public class PeerExistsResponseMessage extends FingerResponseMessage {

    private static final long serialVersionUID = 1L;

    private boolean keyToReachExists = false;

    public PeerExistsResponseMessage(PeerExistsQueryMessage query, Key keyToReach) {
	super(query, keyToReach);
	this.keyToReachExists = query.keyAlreadyUsed();
    }

    public boolean keyToReachExists() {
        return this.keyToReachExists;
    }
    
}