package org.objectweb.proactive.extensions.structuredp2p.operations.chord;

import org.objectweb.proactive.extensions.structuredp2p.operations.ResponseOperation;
import org.objectweb.proactive.extensions.structuredp2p.operations.Operation;
import org.objectweb.proactive.extensions.structuredp2p.overlay.StructuredOverlay;
import org.objectweb.proactive.extensions.structuredp2p.overlay.chord.AbstractChordOverlay;
import org.objectweb.proactive.extensions.structuredp2p.overlay.chord.Key;

/**
 * 
 * @author Laurent Pellegrino
 * 
 * @version $Id: FindSuccessorOperation.java 5022 2010-08-14 16:14:45Z plaurent $
 */
public class FindSuccessorOperation implements Operation {

    private static final long serialVersionUID = 1L;
    
    private Key key;

    public FindSuccessorOperation(Key key) {
        this.key = key;
    }

    public ResponseOperation handle(StructuredOverlay overlay) {
        return new FindSuccessorResponseOperation(((AbstractChordOverlay<?>) overlay)
                .findSuccessor(this.key));
    }

}
