package org.objectweb.proactive.extensions.structuredp2p.operations.chord;

import org.objectweb.proactive.extensions.structuredp2p.operations.ResponseOperation;
import org.objectweb.proactive.extensions.structuredp2p.overlay.chord.Key;

/**
 * Response associated to {@link GetKeyOperation}.
 * 
 * @author Laurent Pellegrino
 * 
 * @version $Id: GetKeyResponseOperation.java 5022 2010-08-14 16:14:45Z plaurent $
 */
public class GetKeyResponseOperation implements ResponseOperation {

    private static final long serialVersionUID = 1L;
    
    private Key key;

    public GetKeyResponseOperation(Key key) {
        this.key = key;
    }

    public Key getKey() {
        return this.key;
    }

}
