package org.objectweb.proactive.extensions.structuredp2p.operations.chord;

import org.objectweb.proactive.extensions.structuredp2p.operations.ResponseOperation;
import org.objectweb.proactive.extensions.structuredp2p.overlay.Peer;

/**
 * Response associated to {@link GetPredecessorOperation}.
 * 
 * @author Laurent Pellegrino
 * 
 * @version $Id: GetPredecessorResponseOperation.java 5022 2010-08-14 16:14:45Z plaurent $
 */
public class GetPredecessorResponseOperation implements ResponseOperation {

    private static final long serialVersionUID = 1L;
    
    private Peer predecessor;

    public GetPredecessorResponseOperation(Peer predecessor) {
        this.predecessor = predecessor;
    }

    public Peer getPredecessor() {
        return predecessor;
    }

}
