package org.objectweb.proactive.extensions.structuredp2p.operations.chord;

import org.objectweb.proactive.extensions.structuredp2p.operations.ResponseOperation;
import org.objectweb.proactive.extensions.structuredp2p.operations.Operation;
import org.objectweb.proactive.extensions.structuredp2p.overlay.StructuredOverlay;
import org.objectweb.proactive.extensions.structuredp2p.overlay.chord.AbstractChordOverlay;

/**
 * 
 * @author Laurent Pellegrino
 * 
 * @version $Id: GetSuccessorsFTOperation.java 5022 2010-08-14 16:14:45Z plaurent $
 */
public class GetSuccessorsFTOperation implements Operation {

    private static final long serialVersionUID = 1L;

    public GetSuccessorsFTOperation() {

    }

    public ResponseOperation handle(StructuredOverlay overlay) {
        return new GetSuccessorsFTResponseOperation(
                ((AbstractChordOverlay<?>) overlay).getSuccessorsForTolerantFailures());
    }

}
