package org.objectweb.proactive.extensions.structuredp2p.overlay;

/**
 * Defines type of overlay which are available and can be used for
 * implementation and peers.
 * 
 * @author Alexandre Trovato
 * @author Fanny Kilanga
 * @author Laurent Pellegrino
 * 
 * @version $Id: OverlayType.java 5022 2010-08-14 16:14:45Z plaurent $
 */
public enum OverlayType {

    /**
     * CAN : Content-Addressable Network.
     */
    CAN,
    /**
     * Chord : a scalable peer-to-peer lookup service for Internet applications
     * where topology is a ring.
     */
    CHORD
}
