package org.objectweb.proactive.extensions.structuredp2p.tracker;

import org.objectweb.proactive.extensions.structuredp2p.overlay.OverlayType;

/**
 * Tracker specific to a CAN overlay network.
 * 
 * @author Laurent Pellegrino
 * 
 * @version $Id: TrackerCAN.java 5022 2010-08-14 16:14:45Z plaurent $
 */
public class TrackerCAN extends Tracker {

    private static final long serialVersionUID = 1L;

    /**
     * Constructor.
     */
    public TrackerCAN() {
        super(OverlayType.CAN);
    }

    public TrackerCAN(String associatedNetworkName) {
        super(OverlayType.CAN, associatedNetworkName);
    }
    
    /**
     * Constructor.
     * 
     * @param type
     *            the type of tracker (ie. the kind of peers that can be add on
     *            the network).
     */
    public TrackerCAN(OverlayType type) {
        super(type);
    }

}
