package org.objectweb.proactive.extensions.structuredp2p.util;

import org.objectweb.proactive.extensions.structuredp2p.overlay.can.coordinates.CoordinateValue;

/**
 * Some utility methods used for logger output.
 * 
 * @author Laurent Pellegrino
 * 
 * @version $Id: LoggerUtil.java 5022 2010-08-14 16:14:45Z plaurent $
 */
public class LoggerUtil {

    public static String coordinateAsString(CoordinateValue[] coordinate) {
        StringBuffer buf = new StringBuffer();
        buf.append("(");

        for (int i = 0; i < coordinate.length; i++) {
            buf.append(coordinate[i].getValue());
            if (i < coordinate.length - 1) {
                buf.append(",");
            }
        }
        buf.append(")");
        return buf.toString();
    }

}
