package org.objectweb.proactive.extensions.structuredp2p.core.overlay;

import java.util.Set;

import org.objectweb.proactive.Service;
import org.objectweb.proactive.core.body.request.Request;
import org.objectweb.proactive.extensions.structuredp2p.api.messages.Query;
import org.objectweb.proactive.extensions.structuredp2p.api.messages.Response;
import org.objectweb.proactive.extensions.structuredp2p.exceptions.PostProcessException;
import org.objectweb.proactive.extensions.structuredp2p.exceptions.PreProcessException;
import org.objectweb.proactive.extensions.structuredp2p.messages.SynchronousMessage;
import org.objectweb.proactive.extensions.structuredp2p.messages.SynchronousMessageEntry;
import org.objectweb.proactive.extensions.structuredp2p.messages.response.AbstractResponseMessage;
import org.objectweb.proactive.extensions.structuredp2p.operations.can.JoinResponseOperation;
import org.objectweb.proactive.extensions.structuredp2p.operations.can.MergeOperation;
import org.objectweb.proactive.extensions.structuredp2p.overlay.QueryManager;
import org.objectweb.proactive.extensions.structuredp2p.overlay.can.AbstractCANOverlay;
import org.objectweb.proactive.extensions.structuredp2p.overlay.can.Zone;

/**
 * 
 * @author Laurent Pellegrino
 * 
 * @version $Id: BasicCANOverlay.java 5023 2010-08-15 08:12:00Z plaurent $
 */
@SuppressWarnings("serial")
public class BasicCANOverlay extends AbstractCANOverlay {

    public BasicCANOverlay() {
        super(new QueryManager() {

	    public SynchronousMessageEntry mergeAndSetSynchronousMessage(
		    SynchronousMessage<?> msg) {
		return null;
	    }

	    public SynchronousMessageEntry setSynchronousMessage(
		    SynchronousMessage<?> msg) {
		return null;
	    }

	    protected SynchronousMessage<?> preProcess(Query query)
		    throws PreProcessException {
		return null;
	    }

	    protected Response postProcess(Query initialQuery,
		    AbstractResponseMessage<?> response)
		    throws PostProcessException {
		return null;
	    }

        });
    }

    protected void affectDataReceived(JoinResponseOperation msg) {
	// TODO Auto-generated method stub
	
    }

    protected void mergeDataReceived(MergeOperation msg) {
	// TODO Auto-generated method stub
	
    }

    public void processRequest(Service service, Request request) {
        // TODO Auto-generated method stub

    }

    protected Set<? extends Object> retrieveAllData() {
        // TODO Auto-generated method stub
        return null;
    }

    protected Set<? extends Object> transfertData(int directionInv, Zone[] newZones) {
        // TODO Auto-generated method stub
        return null;
    }

}