package org.objectweb.proactive.extensions.structuredp2p.core.overlay.chord;

import junit.framework.Assert;

import org.junit.Test;
import org.objectweb.proactive.extensions.structuredp2p.util.HashUtil;

/**
 * @author Laurent Pellegrino
 * 
 * @version $Id: TestHashUtil.java 5022 2010-08-14 16:14:45Z plaurent $
 */
public class TestHashUtil {

    @Test
    public void testHashUtil() {
        Assert.assertTrue(this.areEquals(HashUtil.getSHA1("test"), HashUtil.getSHA1("test")));

        Assert.assertEquals(
        	HashUtil.getSHA1KeyRestrictedToIntervalByModulo("test", 8), 
        	HashUtil.getSHA1KeyRestrictedToIntervalByModulo("test", 8));
    }

    public boolean areEquals(byte[] a, byte[] b) {
        for (int i = 0; i < a.length; i++) {
            if (a[i] != b[i]) {
                return false;
            }
        }
        return true;
    }

}
